Index: enysol_p.f
===================================================================
--- enysol_p.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ enysol_p.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,12 +1,12 @@
-c **************************************************************
-c
-c This file contains the subroutines: enysol,tessel
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: enysol,tessel
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       
@@ -16,15 +16,15 @@
       include 'mpif.h'
 
-c --------------------------------------------------------------
-c
-c     Double Cubic Lattice algorithm for calculating the
-c     solvation energy of proteins using 
-c     solvent accessible area method.
-c
-c     if nmol == 0 do solvation energy over all residues.
-c CALLS: nursat
-c
-c -------------------------------------------------------------
-c TODO: Check the solvent energy for multiple molecules     
+! --------------------------------------------------------------
+!
+!     Double Cubic Lattice algorithm for calculating the
+!     solvation energy of proteins using 
+!     solvent accessible area method.
+!
+!     if nmol == 0 do solvation energy over all residues.
+! CALLS: nursat
+!
+! -------------------------------------------------------------
+! TODO: Check the solvent energy for multiple molecules     
       dimension numbox(mxat),inbox(mxbox+1),indsort(mxat),look(mxat)
       dimension xyz(mxinbox,3),radb(mxinbox),radb2(mxinbox)
@@ -101,5 +101,5 @@
       diamax=2.d0*rmax
 
-c  The sizes of the big box
+!  The sizes of the big box
 
       sizex=xmax-xmin
@@ -107,5 +107,5 @@
       sizez=zmax-zmin
 
-c  How many maximal diameters in each size ?
+!  How many maximal diameters in each size ?
 
       ndx=sizex/diamax + 1
@@ -113,9 +113,9 @@
       ndz=sizez/diamax + 1
 
-c We may need the number of quadratic boxes in (X,Y) plane
+! We may need the number of quadratic boxes in (X,Y) plane
 
       nqxy=ndx*ndy
 
-c   The number of cubic boxes of the size "diamax"
+!   The number of cubic boxes of the size "diamax"
 
       ncbox=nqxy*ndz
@@ -125,5 +125,5 @@
       end if
         
-c Let us shift the borders to home all boxes
+! Let us shift the borders to home all boxes
 
       shiftx=(dble(ndx)*diamax-sizex)/2.d0
@@ -137,5 +137,5 @@
       zmax=zmax+shiftz
 
-c Finding the box of each atom
+! Finding the box of each atom
 
       do j=nlow,nup
@@ -159,5 +159,5 @@
       end do
 
-c  Summation over the boxes
+!  Summation over the boxes
 
       do i=1,ncbox
@@ -166,5 +166,5 @@
          
         
-c   Sorting the atoms by the their box numbers
+!   Sorting the atoms by the their box numbers
 
       do i=nlow,nup
@@ -175,6 +175,6 @@
       end do   
          
-c    Getting started
-c    We have to loop over ncbox boxes and have no processors available
+!    Getting started
+!    We have to loop over ncbox boxes and have no processors available
       boxpp = 1.0 * ncbox / no
       iboxmin = boxpp * myrank
@@ -191,5 +191,5 @@
 !     ibox=ix+iy*ndx+iz*nqxy + 1
 
-c  Does this box contain atoms ?
+!  Does this box contain atoms ?
 
            lbn=inbox(ibox+1)-inbox(ibox)
@@ -203,5 +203,5 @@
              nez=min(iz+1,ndz-1)
                      
-c  Atoms in the boxes around
+!  Atoms in the boxes around
 
              jcnt=1
@@ -235,5 +235,5 @@
                      dr=1.0d0+akrad
                      dr=dr*dr
-cc if contact
+!c if contact
                      if(dd.le.dr) then
                        nnei=nnei+1
@@ -246,10 +246,10 @@
                    end if
                  end do
-cc
+!c
                   do il=1,npnt
                      surfc(il)=.false.
                   end do
 
-c  Check overlap
+!  Check overlap
 
                   lst=1
@@ -293,12 +293,12 @@
                  area   = sdr*dble(icount)
                  volume = sdr/3.0d0*(trad*dble(icount)
-     #                               +(xat(jbi)-avr_x)*dx
-     #                               +(yat(jbi)-avr_y)*dy
-     #                               +(zat(jbi)-avr_z)*dz)
+     &                               +(xat(jbi)-avr_x)*dx
+     &                               +(yat(jbi)-avr_y)*dy
+     &                               +(zat(jbi)-avr_z)*dz)
 
                  asa=asa+area
                  vdvol=vdvol+volume
                  eysl=eysl+area*sigma(jbi)
-c Separate hydrophilic (h) and hyrdophobic (p) contributions to eysl
+! Separate hydrophilic (h) and hyrdophobic (p) contributions to eysl
                  if (sigma(jbi).lt.0) then
                     eyslp = eyslp + area * sigma(jbi)
@@ -309,5 +309,5 @@
                     asah = asah + area
                  endif
-c Measure how much a residue is solvent accessible:
+! Measure how much a residue is solvent accessible:
                  jres = nursat(jbi)
                  surfres(jres) = surfres(jres) + area
@@ -332,5 +332,5 @@
      &               endwtime - startwtime, "s"
       endif
-c
+!
        if (isolscl) then
           nhx=0
@@ -346,10 +346,10 @@
        return
        end
-c *********************
+! *********************
       subroutine tessel
       include 'INCL.H'
       character lin*80
 
-c    Skipping comment lines, which begin with '!'  
+!    Skipping comment lines, which begin with '!'  
 
       read(20,'(a)') lin
@@ -358,15 +358,15 @@
       end do
 
-c   The first non-comment line is the number of the surface points
+!   The first non-comment line is the number of the surface points
 
       read(lin(1:5),'(i5)') npnt
-c        write(*,'(a,i5)') 'the number of points---->',npnt
-
-c    Read the surface points   
+!        write(*,'(a,i5)') 'the number of points---->',npnt
+
+!    Read the surface points   
 
       do i=1,npnt
          read(20,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
          
-c        write(31,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
+!        write(31,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
       end do
  
Index: esolan.f
===================================================================
--- esolan.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ esolan.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -48,10 +48,10 @@
       
       dimension neib(0:mxat),vertex(ks0,4),ax(ks0,2),
-     1          pol(mxat),neibp(0:mxat),as(mxat),ayx(ks0,2),
-     2          ayx1(ks0),probe(ks0),dd(mxat),ddat(mxat,4),ivrx(ks0)
+     &          pol(mxat),neibp(0:mxat),as(mxat),ayx(ks0,2),
+     &          ayx1(ks0),probe(ks0),dd(mxat),ddat(mxat,4),ivrx(ks0)
        
       dimension grad(mxat,mxat,3),dadx(4,3),gp(4),dalp(4),dbet(4),
-     1   daalp(4),dabet(4),vrx(ks0,4),dv(4),dx(4),dy(4),dz(4),dt(4),
-     2   di(4),dii(4,3),ss(mxat),dta(4),dtb(4),di1(4),di2(4),gs(3)
+     &   daalp(4),dabet(4),vrx(ks0,4),dv(4),dx(4),dy(4),dz(4),dt(4),
+     &   di(4),dii(4,3),ss(mxat),dta(4),dtb(4),di1(4),di2(4),gs(3)
       dimension xold(-1:mxat),yold(-1:mxat),zold(-1:mxat)
       integer ta2(0:mxat),ta3(0:mxat),fullarc(0:mxat),al(0:ks2)
Index: eyabgn.f
===================================================================
--- eyabgn.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ eyabgn.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,17 +1,17 @@
-c *********************************************************************
-c This file contains eyrccr, init_abgn, eyentr, eyabgn
-c
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c Corrections to ECEPP energy terms due to R. A. Abagyan et al. 
-c 
-c Two terms are calculated: eyrccr and eyentr, representing respectively
-c c a term to slightly shift the backbone dihedral angle preferences in 
-c the ECEPP potential slightly away from the helix region, and another
-c term to estimate the side-chain entropy from a given configuration. 
-c
-c
-c *********************************************************************
+! *********************************************************************
+! This file contains eyrccr, init_abgn, eyentr, eyabgn
+!
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! Corrections to ECEPP energy terms due to R. A. Abagyan et al. 
+! 
+! Two terms are calculated: eyrccr and eyentr, representing respectively
+! c a term to slightly shift the backbone dihedral angle preferences in 
+! the ECEPP potential slightly away from the helix region, and another
+! term to estimate the side-chain entropy from a given configuration. 
+!
+!
+! *********************************************************************
       real*8 function eyrccr(nml)
       include 'INCL.H'
@@ -29,10 +29,10 @@
       endif
       et=0.0
-c      print *,'***********'
+!      print *,'***********'
       do i=istres,indres
          mynm=seq(i)
          call tolost(mynm)
          if ((mynm.eq.'val').or.(mynm.eq.'ile').or.
-     #           (mynm.eq.'thr')) then 
+     &           (mynm.eq.'thr')) then 
             rsscl=1.0
          else 
@@ -40,10 +40,10 @@
          endif
          et=et+rsscl*(1.0-sin(vlvr(ipsi(i))))
-c         print *,'  contribution = ',rsscl*(1.0-sin(vlvr(ipsi(i))))
-c         print *,'obtained using scale ',rsscl,' and angle ',
-c     #        vlvr(ipsi(i))
+!         print *,'  contribution = ',rsscl*(1.0-sin(vlvr(ipsi(i))))
+!         print *,'obtained using scale ',rsscl,' and angle ',
+!     #        vlvr(ipsi(i))
       enddo
-c      print *,'abagyan dihedral term = ',et
-c      print *,'***********'
+!      print *,'abagyan dihedral term = ',et
+!      print *,'***********'
       eyrccr=et
       return
@@ -56,37 +56,37 @@
       dimension xarea(nrsty),estrg(nrsty)
       character mynm*4
-c      print *,'Initialization of Abagyan entropic term'
-c     Maximum accessible surface areas for different residue types
+!      print *,'Initialization of Abagyan entropic term'
+!     Maximum accessible surface areas for different residue types
       data (xarea(i),i=1,nrsty)/
-c             1         2         3         4         5
-     #     117.417 , 244.686 , 245.582 , 146.467 , 144.485 ,
-c             6         7         8         9        10
-     #     144.192 , 142.805 , 147.568 , 183.103 , 177.094 ,
-c            11       12        13        14        15
-     #     186.293 , 83.782 , 187.864 , 187.864 , 187.864 ,
-c            16       17        18        19        20
-     #     187.864 , 160.887 , 161.741 , 184.644 , 179.334 ,
-c            21       22        23        24        25
-     #     209.276 , 209.276 , 203.148 , 208.902 , 153.124 ,
-c            26       27        28        29        30
-     #     153.973 , 153.037 , 158.695 , 157.504 , 157.504 ,
-c            31       32        33        34        35
-     #     119.786 , 146.488 , 238.641 , 223.299 , 160.283 /
-c     Entropic contribution for maximally exposed residue
+!             1         2         3         4         5
+     &     117.417 , 244.686 , 245.582 , 146.467 , 144.485 ,
+!             6         7         8         9        10
+     &     144.192 , 142.805 , 147.568 , 183.103 , 177.094 ,
+!            11       12        13        14        15
+     &     186.293 , 83.782 , 187.864 , 187.864 , 187.864 ,
+!            16       17        18        19        20
+     &     187.864 , 160.887 , 161.741 , 184.644 , 179.334 ,
+!            21       22        23        24        25
+     &     209.276 , 209.276 , 203.148 , 208.902 , 153.124 ,
+!            26       27        28        29        30
+     &     153.973 , 153.037 , 158.695 , 157.504 , 157.504 ,
+!            31       32        33        34        35
+     &     119.786 , 146.488 , 238.641 , 223.299 , 160.283 /
+!     Entropic contribution for maximally exposed residue
       data (estrg(i),i=1,nrsty)/
-c             1ala      2arg      3arg+     4asn      5asp
-     #       0.0   ,   2.13  ,   2.13  ,   0.81  ,   0.61  ,
-c             6asp-     7cys      8cyss     9gln     10glu
-     #       0.61  ,   1.14  ,   1.14  ,   2.02  ,   1.65  ,
-c            11glu-   12gly     13his     14hise    15hisd
-     #       1.65  ,  0.0    ,   0.99  ,   0.99  ,   0.99  ,
-c            16his+   17hyp     18hypu    19ile     20leu
-     #       0.99  ,   0.99  ,   0.99  ,  0.75   ,   0.75  ,
-c            21lys    22lys+     23met     24phe     25cpro
-     #       2.21  ,   2.21  ,   1.53  ,   0.58  ,   0.0   ,
-c            26pro     27cpru    28prou    29pron    30pro+
-     #       0.0   ,   0.0   ,   0.0   ,   0.0   ,   0.0   ,
-c            31ser     32thr     33trp     34tyr     35val
-     #       1.19  ,   1.12  ,   0.97  ,   0.99  ,   0.50  /
+!             1ala      2arg      3arg+     4asn      5asp
+     &       0.0   ,   2.13  ,   2.13  ,   0.81  ,   0.61  ,
+!             6asp-     7cys      8cyss     9gln     10glu
+     &       0.61  ,   1.14  ,   1.14  ,   2.02  ,   1.65  ,
+!            11glu-   12gly     13his     14hise    15hisd
+     &       1.65  ,  0.0    ,   0.99  ,   0.99  ,   0.99  ,
+!            16his+   17hyp     18hypu    19ile     20leu
+     &       0.99  ,   0.99  ,   0.99  ,  0.75   ,   0.75  ,
+!            21lys    22lys+     23met     24phe     25cpro
+     &       2.21  ,   2.21  ,   1.53  ,   0.58  ,   0.0   ,
+!            26pro     27cpru    28prou    29pron    30pro+
+     &       0.0   ,   0.0   ,   0.0   ,   0.0   ,   0.0   ,
+!            31ser     32thr     33trp     34tyr     35val
+     &       1.19  ,   1.12  ,   0.97  ,   0.99  ,   0.50  /
       do i=1,mxrs
          rsstrg(i)=0.0
@@ -100,5 +100,5 @@
          do j=1,nrsty
             if (rsnmcd(j).eq.mynm) imytyp=j
-c            print *,'comparing ',mynm,' with ',rsnmcd(j),imytyp
+!            print *,'comparing ',mynm,' with ',rsnmcd(j),imytyp
          enddo
          if (imytyp.eq.0) then 
@@ -109,6 +109,6 @@
             rsstrg(i)=estrg(imytyp)/xarea(imytyp)
          endif
-c         print *,'residue ',i,seq(i),' type ',imytyp
-c         print *, 'strength for residue ',i,seq(i),' is ',rsstrg(i) 
+!         print *,'residue ',i,seq(i),' type ',imytyp
+!         print *, 'strength for residue ',i,seq(i),' is ',rsstrg(i) 
       enddo
       print *, 'initialized Abagyan corrections to ECEPP force field'
@@ -129,21 +129,21 @@
          indres=irsml2(nml)
       endif
-c      print *,'residue range ',istres,indres
-c      print *,'for molecule ',nml
+!      print *,'residue range ',istres,indres
+!      print *,'for molecule ',nml
       do i=istres, indres
          aars=surfres(i)
          strh=rsstrg(i)
-c        The maximal burial entropies were estimated at temperature 300k
-c        The values in the array estrg are k_B * T (=300k) * Entropy
-c        Presently we need it at temperature 1/beta, so we need to 
-c        multiply the strengths in estrg with (1/beta)/(300 kelvin)
-c        300 kelvin is approximately 0.59576607 kcal/mol.
+!        The maximal burial entropies were estimated at temperature 300k
+!        The values in the array estrg are k_B * T (=300k) * Entropy
+!        Presently we need it at temperature 1/beta, so we need to 
+!        multiply the strengths in estrg with (1/beta)/(300 kelvin)
+!        300 kelvin is approximately 0.59576607 kcal/mol.
          eentr=eentr+aars*strh/(0.59576607*beta)
-c         print *,'contribution = ',aars*strh/(0.59576607*beta)
-c         print *,'residue, exposed area = ',i,aars
-c         print *,'strength = ',strh,' for residue index = ',i
-c         print *,'beta = ',beta
+!         print *,'contribution = ',aars*strh/(0.59576607*beta)
+!         print *,'residue, exposed area = ',i,aars
+!         print *,'strength = ',strh,' for residue index = ',i
+!         print *,'beta = ',beta
       enddo
-c      print *,'abagyan entropic term = ',eentr
+!      print *,'abagyan entropic term = ',eentr
       eyentr=eentr
       return
@@ -153,5 +153,5 @@
       include 'INCL.H'
       eyabgn=eyrccr(nml)+eyentr(nml)
-c      print *,'Abagyan term = ',eyabgn
+!      print *,'Abagyan term = ',eyabgn
       return
       end
Index: getmol.f
===================================================================
--- getmol.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ getmol.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,39 +1,39 @@
-c **************************
-c **************************************************************
-c
-c This file contains the subroutines: getmol,redres
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************
+! **************************************************************
+!
+! This file contains the subroutines: getmol,redres
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
 
       subroutine getmol(nml)
 
-c ...................................................................
-c PURPOSE:  assemble data for molecule 'nml' according to
-c           its sequence using residue library 'reslib'
-c
-c ! Molecules must be assembled in sequential order (1 -> ntlml)
-c            (or number of atoms & variables must remain the same)
-c
-c INPUT:    irsml1(nml),irsml2(nml),seq(irsml1()...irsml2())
-c           nml>1: irsml1(nml-1),iatrs2(irsml2(nml-1))
-c                  ivrrs1(irsml2(nml-1)),nvrrs(irsml2(nml-1))
-c
-c OUTPUT:   molecule  - ivrml1,nvrml
-c           residues  - iatrs1,ixatrs,iatrs2,ivrrs1,nvrrs
-c           atoms     - nmat,ityat,cgat,blat,baat,csbaat,snbaat,
-c                       toat,cstoat,sntoat
-c           bonds     - nbdat,iowat,iyowat,ibdat(1-mxbd,),iybdat(1-mxbd,)
-c                       ! 1st atom of 'nml': iowat indicates 1st bond
-c                          to a FOLLOWING atom (not previous) !
-c           variables - ityvr,iclvr,iatvr,nmvr
-c                                    
-c CALLS:    iopfil,redres,iendst
-c ...................................................................
+! ...................................................................
+! PURPOSE:  assemble data for molecule 'nml' according to
+!           its sequence using residue library 'reslib'
+!
+! ! Molecules must be assembled in sequential order (1 -> ntlml)
+!            (or number of atoms & variables must remain the same)
+!
+! INPUT:    irsml1(nml),irsml2(nml),seq(irsml1()...irsml2())
+!           nml>1: irsml1(nml-1),iatrs2(irsml2(nml-1))
+!                  ivrrs1(irsml2(nml-1)),nvrrs(irsml2(nml-1))
+!
+! OUTPUT:   molecule  - ivrml1,nvrml
+!           residues  - iatrs1,ixatrs,iatrs2,ivrrs1,nvrrs
+!           atoms     - nmat,ityat,cgat,blat,baat,csbaat,snbaat,
+!                       toat,cstoat,sntoat
+!           bonds     - nbdat,iowat,iyowat,ibdat(1-mxbd,),iybdat(1-mxbd,)
+!                       ! 1st atom of 'nml': iowat indicates 1st bond
+!                          to a FOLLOWING atom (not previous) !
+!           variables - ityvr,iclvr,iatvr,nmvr
+!                                    
+! CALLS:    iopfil,redres,iendst
+! ...................................................................
 
       include 'INCL.H'
@@ -43,6 +43,6 @@
       if (iopfil(lunlib,reslib,'old','formatted').le.izero) then
         write (*,'(a,/,a,i3,2a)') 
-     #    ' getmol> ERROR opening library of residues:',
-     #    ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
+     &    ' getmol> ERROR opening library of residues:',
+     &    ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
         stop
       endif
@@ -68,10 +68,10 @@
         if (res(:3).eq.'nme'.and.nrs.ne.ilars) then
           write (*,'(3a)') ' getmol> residue >',res,
-     #                     '< allowed at C-terminus only !'
+     &                     '< allowed at C-terminus only !'
           close(lunlib)
           stop
         elseif (res(:3).eq.'ace'.and.nrs.ne.ifirs) then
           write (*,'(3a)') ' getmol> residue >',res,
-     #                     '< allowed at N-terminus only !'
+     &                     '< allowed at N-terminus only !'
           close(lunlib)
           stop
@@ -93,5 +93,5 @@
         rewind lunlib
 
-c ___________________________________________________________ Atoms
+! ___________________________________________________________ Atoms
         do i=1,nat
           n=i+ntlat
@@ -108,5 +108,5 @@
           cstoat(n)=cos(to)
           sntoat(n)=sin(to)
-c ______________________________ bonds to previous & following atoms
+! ______________________________ bonds to previous & following atoms
           iow=iowath(i)
           if (iow.eq.0) then          ! 1st atom of residue
@@ -129,16 +129,16 @@
               iyowat(n)=1         !!! only single bonds assumed !!!
 
-c ___________________________ correct atom to 'next' res.
+! ___________________________ correct atom to 'next' res.
               nbd=nbdat(nh)
               if (nbd.eq.mxbd) then
                 write(*,'(a,i2,a,i4,2a,i4,a)') 
-     #           ' getmol> need ',(mxbd+2),
-     #           'th bond to connect residues ',
-     #           nrs-1,seq(nrs-1),' and ',nrs,seq(nrs)
+     &           ' getmol> need ',(mxbd+2),
+     &           'th bond to connect residues ',
+     &           nrs-1,seq(nrs-1),' and ',nrs,seq(nrs)
                 close(lunlib)
                 stop
               else  !  correct atom to 'next' res.
-c _______________________________!! dihedrals for atoms bound to 'nh'
-c                                   are assumed to be phase angles !!
+! _______________________________!! dihedrals for atoms bound to 'nh'
+!                                   are assumed to be phase angles !!
                 do j=1,nbd
 
@@ -148,7 +148,7 @@
                   if (t.eq.0.0) then
                     write (*,'(3a,/,2a)') 
-     #               ' getmol> DIHEDRAL for atom ',nmat(nj),
-     #               ' should be PHASE angle with respect to atom ',
-     #               nmat(n),' & therefore must be not 0.0 !!'
+     &               ' getmol> DIHEDRAL for atom ',nmat(nj),
+     &               ' should be PHASE angle with respect to atom ',
+     &               nmat(n),' & therefore must be not 0.0 !!'
                     close(lunlib)
                     stop
@@ -197,5 +197,5 @@
         enddo  ! ... atoms
 
-c ________________________________________________________ Variables
+! ________________________________________________________ Variables
         ivrrs1(nrs)=ntlvr+1
         mvr=0
@@ -206,8 +206,8 @@
 
             iat=iatvrh(i)
-c ____________________________________ Exclude all variables for 1st atom
-c                                       & torsion for atoms bound to it
+! ____________________________________ Exclude all variables for 1st atom
+!                                       & torsion for atoms bound to it
             if ( iat.eq.1.or.
-     #        (iowath(iat).eq.1.and.ityvrh(i).eq.3)) goto 1
+     &        (iowath(iat).eq.1.and.ityvrh(i).eq.3)) goto 1
 
           endif
@@ -233,5 +233,5 @@
       close(lunlib)
 
-c _______________________________ Variables
+! _______________________________ Variables
       if (nml.eq.1) then
         nvrml(nml)=ntlvr
@@ -242,30 +242,30 @@
       return
       end
-c **************************************
+! **************************************
       subroutine redres(res,nat,nxt,nvrr)
 
-c .......................................................
-c PURPOSE:  read atom data for residue 'res' from library
-c           (file 'lunlib' 'reslib' opened in routine calling
-c            this one)
-c
-c OUTPUT:   nat   - number of atoms in residue
-c           nxt   - atom which may bind to following residue
-c           nvrr  - number of variables in residue
-c           for atoms     - nmath,blath,baath(rad),toath(rad),
-c                           ityath,iyowath,iowath (INSIDE residue,
-c                                                  =0 if 1st atom)
-c           for variables - ityvrh (1=bl/2=ba/3=to),iclvrh,iatvrh,nmvrh
-c
-c LIBRARY:  residue-lines:
-c            '#', res, nat, nxt;  Format: a1,a4,2i4
-c           atom-lines:
-c           nmat,3{"fix" =' ', clvr,nmvr, blat/baat(deg)/toat(deg)},
-c             cgat, ityat, iowat,ibdat1,ibdat2,ibdat3;
-c           Format: a4, 3(1x,i2,a1,a3,f9.3), f7.4, i4,4i4
-c
-C CALLS: iendst,tolost
-c
-c .......................................................
+! .......................................................
+! PURPOSE:  read atom data for residue 'res' from library
+!           (file 'lunlib' 'reslib' opened in routine calling
+!            this one)
+!
+! OUTPUT:   nat   - number of atoms in residue
+!           nxt   - atom which may bind to following residue
+!           nvrr  - number of variables in residue
+!           for atoms     - nmath,blath,baath(rad),toath(rad),
+!                           ityath,iyowath,iowath (INSIDE residue,
+!                                                  =0 if 1st atom)
+!           for variables - ityvrh (1=bl/2=ba/3=to),iclvrh,iatvrh,nmvrh
+!
+! LIBRARY:  residue-lines:
+!            '#', res, nat, nxt;  Format: a1,a4,2i4
+!           atom-lines:
+!           nmat,3{"fix" =' ', clvr,nmvr, blat/baat(deg)/toat(deg)},
+!             cgat, ityat, iowat,ibdat1,ibdat2,ibdat3;
+!           Format: a4, 3(1x,i2,a1,a3,f9.3), f7.4, i4,4i4
+!
+! CALLS: iendst,tolost
+!
+! .......................................................
 
       include 'INCL.H'
@@ -285,5 +285,5 @@
       call tolost(resl)  ! ensure lower case for residue name
 
-c ________________________________ find residue 'resl'
+! ________________________________ find residue 'resl'
     1 line=blnk
       nln=nln+1
@@ -293,5 +293,5 @@
 
       if (lg.ge.13.and.line(1:1).eq.'#'.and.line(2:5).eq.resl) then
-c _____________________________________________ read atom data for 'resl'
+! _____________________________________________ read atom data for 'resl'
         read (line(6:13),'(2i4)',err=3) nat,nxt
 
@@ -308,7 +308,7 @@
 
           read (lunlib,'(a4,3(1x,i2,a1,a3,d9.3),d7.4,i4,4i4)',
-     #                 end=3,err=3)
-     #     nmath(i),icl(1),fix(1),nm(1),blath(i),icl(2),fix(2),nm(2),ba,
-     #     icl(3),fix(3),nm(3),to,cgath(i),ity,iow,(ibd(j),j=1,mxbd)
+     &                 end=3,err=3)
+     &     nmath(i),icl(1),fix(1),nm(1),blath(i),icl(2),fix(2),nm(2),ba,
+     &     icl(3),fix(3),nm(3),to,cgath(i),ity,iow,(ibd(j),j=1,mxbd)
 
           if (ity.le.0.or.ity.gt.mxtyat) goto 6
@@ -326,8 +326,8 @@
             if (i.eq.jow) then
               write (*,'(5a)') ' redres> atom ',nmath(i),' of ',
-     #                          resl,' cannot preceed itself '
+     &                          resl,' cannot preceed itself '
             else
               write (*,'(5a,i4)') ' redres> atom ',nmath(i),' of ',
-     #                    resl,' should be placed AFTER atom #',jow
+     &                    resl,' should be placed AFTER atom #',jow
             endif
             goto 5
@@ -336,6 +336,6 @@
           iowath(i)=jow
           iyowath(i)=sign(1,iow)
-c ____________________________________ check order & find number of bonds
-c                                      (bonds closing ring must be last !)
+! ____________________________________ check order & find number of bonds
+!                                      (bonds closing ring must be last !)
           ib1=abs(ibd(1))
           ib2=abs(ibd(2))
@@ -354,10 +354,10 @@
             else
               if ( ib2.eq.jow.or.ib2.eq.ib1.or.
-     #            (ib2.gt.i.and.ib2.lt.ib1) ) goto 4
+     &            (ib2.gt.i.and.ib2.lt.ib1) ) goto 4
               if (ib3.eq.0) then
                 nbdath(i)=2
               else
                 if (ib3.eq.jow.or.ib3.eq.ib1.or.ib3.eq.ib2.or.
-     #              (ib3.gt.i.and.(ib3.lt.ib1.or.ib3.lt.ib2)) ) goto 4
+     &              (ib3.gt.i.and.(ib3.lt.ib1.or.ib3.lt.ib2)) ) goto 4
                 nbdath(i)=3
               endif
@@ -373,5 +373,5 @@
           toath(i)=to*cdr
 
-c ______________________________ internal degrees of freedom
+! ______________________________ internal degrees of freedom
           do j=1,3
             if (fix(j).ne.blnk) then
@@ -380,5 +380,5 @@
               if (nvrr.gt.mxvrh) then
                 write (*,'(a,i5)') ' redres> number of variables > ',
-     #                             mxvrh
+     &                             mxvrh
                 close(lunlib)
                 stop
@@ -388,7 +388,7 @@
 
               if ( ic.le.0    
-     #         .or.(j.eq.3.and.ic.gt.mxtyto)           ! dihedral
-     #         .or.(j.eq.2.and.ic.gt.mxtyba)           ! bond angle
-     #         .or.(j.eq.1.and.ic.gt.mxtybl) ) goto 7  ! b. length
+     &         .or.(j.eq.3.and.ic.gt.mxtyto)           ! dihedral
+     &         .or.(j.eq.2.and.ic.gt.mxtyba)           ! bond angle
+     &         .or.(j.eq.1.and.ic.gt.mxtybl) ) goto 7  ! b. length
 
               ityvrh(nvrr)=j
@@ -407,30 +407,30 @@
       goto 1
 
-c ____________________________________________________________ ERRORS
+! ____________________________________________________________ ERRORS
     2 write (*,'(4a)') ' redres> residue >',resl,'< NOT FOUND in ',
-     #reslib(1:iendst(reslib))
+     &reslib(1:iendst(reslib))
       close(lunlib)
       stop
 
     3 write (*,'(a,i4,2a)') ' redres> ERROR reading line No. ',nln,
-     #' in ',reslib(1:iendst(reslib))
+     &' in ',reslib(1:iendst(reslib))
       close(lunlib)
       stop
 
     4 write (*,'(4a)') ' redres> Incorrect order of bonds for atom ',
-     #                      nmath(i),' of ',resl
+     &                      nmath(i),' of ',resl
 
     5 write (*,'(8x,2a)') '... must correct ',
-     #                      reslib(1:iendst(reslib))
+     &                      reslib(1:iendst(reslib))
       close(lunlib)
       stop
 
     6 write (*,'(a,i2,4a)') ' redres> unknown type :',ity,
-     #                   ': for atom ',nmath(i),' in residue ',resl
+     &                   ': for atom ',nmath(i),' in residue ',resl
       close(lunlib)
       stop
 
     7 write (*,'(a,i2,4a)') ' redres> unknown class :',ic,
-     #                   ': for variable ',nm(j),' in residue ',resl
+     &                   ': for variable ',nm(j),' in residue ',resl
       close(lunlib)
       stop
